Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000932Core InformAssertions and creationspublic2012-06-14 12:002014-05-07 07:34
ReporterNYKevin 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000932: "Here is a nothing" causes internal error
DescriptionApparently Inform doesn't like it when you try to put "a nothing" "here". Obviously, this is illegal, but maybe we should have a better problem message for it.
Minimal Source Text To Reproduce
There is room.

Here is a nothing.
Additional Information  >--> An internal error has occurred: failed to set a free variable. The
    current sentence is 'Here is a nothing' (source text, line 3); the error
    was detected at line 274 of "Chapter 14/Assert Propositions.w". This should
    never happen, and I am now halting in abject failure.
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships
has duplicate 0000947closed Declaring a truth state and things with overlapping names results in abject failure when "are here" is used. 

-  Notes
(0001722)
EmacsUser (manager)
2012-07-21 04:43

See 0000947 for a more realistic test case.
(0002071)
graham (administrator)
2013-06-01 10:53

Fixed, and various problem messages for similar ploys ("Nothing is in the box." improved; they were a bit generic and unhelpful before.

- Issue History
Date Modified Username Field Change
2012-06-14 12:00 NYKevin New Issue
2012-06-14 18:02 EmacsUser Reproducibility have not tried => always
2012-06-14 18:02 EmacsUser Status new => confirmed
2012-07-21 04:43 EmacsUser Relationship added has duplicate 0000947
2012-07-21 04:43 EmacsUser Note Added: 0001722
2013-06-01 10:53 graham Note Added: 0002071
2013-06-01 10:53 graham Status confirmed => resolved
2013-06-01 10:53 graham Resolution open => fixed
2013-06-01 10:53 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker